OrderedByTypeExpander (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class OrderedByTypeExpander

    java.lang.Object
      org.neo4j.kernel.StandardExpander
          org.neo4j.kernel.OrderedByTypeExpander

All Implemented Interfaces:
  Expander, PathExpander, RelationshipExpander

    public final class OrderedByTypeExpander

extends StandardExpander

Field Summary

Fields inherited from class org.neo4j.kernel.StandardExpander
`DEFAULT`

Constructor Summary
`OrderedByTypeExpander()`

Method Summary
`StandardExpander` | `add(RelationshipType type, Direction direction)` Add a `RelationshipType` with a `Direction` to the `Expander`.
`StandardExpander` | `remove(RelationshipType type)` Remove a `RelationshipType` from the `Expander`.
`StandardExpander` | `reverse()` Returns a new instance with the exact expansion logic, but reversed.
`StandardExpander` | `reversed()` Returns a new instance with the exact expansion logic, but reversed.

Methods inherited from class org.neo4j.kernel.StandardExpander
`add, addNodeFilter, addRelationshipFilter, addRelationsipFilter, expand, expand, toPathExpander, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OrderedByTypeExpander

    public OrderedByTypeExpander()

Method Detail

### add

    public StandardExpander add(RelationshipType type,
                                Direction direction)

  Description copied from interface: `Expander`
  Add a `RelationshipType` with a `Direction` to the `Expander`.

  Specified by:
    `add` in interface `Expander`
  Specified by:
    `add` in class `StandardExpander`
  Parameters:
    `type` - relationship type
    `direction` - expanding direction
  Returns:
    new instance

### remove

    public StandardExpander remove(RelationshipType type)

  Description copied from interface: `Expander`
  Remove a `RelationshipType` from the `Expander`.

  Specified by:
    `remove` in interface `Expander`
  Specified by:
    `remove` in class `StandardExpander`
  Parameters:
    `type` - relationship type
  Returns:
    new instance

### reversed

    public StandardExpander reversed()

  Description copied from interface: `RelationshipExpander`
  Returns a new instance with the exact expansion logic, but reversed. For example if this expander is set to expand:
  - KNOWS : OUTGOING
  - LIVES : INCOMING
  Then the reversed expander will be set to expand:
  - KNOWS : INCOMING
  - LIVES : OUTGOING

  Specified by:
    `reversed` in interface `Expander`
  Specified by:
    `reversed` in interface `RelationshipExpander`
  Specified by:
    `reversed` in class `StandardExpander`
  Returns:
    a reversed `RelationshipExpander`.

### reverse

    public StandardExpander reverse()

  Description copied from interface: `PathExpander`
  Returns a new instance with the exact expansion logic, but reversed. TODO example

  Specified by:
    `reverse` in interface `PathExpander`
  Specified by:
    `reverse` in class `StandardExpander`
  Returns:
    a reversed `PathExpander`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.